<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Tobias Blaser, Otavio Huber, Willi Kernen, <contact@gridds.com>, GRiDDS GmbH
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Page Class
 *
 * @package grds_language_menu
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class Tx_GrdsLanguageMenu_Domain_Model_Page extends Tx_Extbase_DomainObject_AbstractEntity {

	/**
	 * translations
	 *
	 * @var Tx_Extbase_Persistence_ObjectStorage<Tx_GrdsLanguageMenu_Domain_Model_Translation>
	 */
	protected $translations;

	/**
	 * __construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->initStorageObjects();
	}

	/**
	 * Initializes all Tx_Extbase_Persistence_ObjectStorage properties.
	 *
	 * @return void
	 */
	protected function initStorageObjects() {
		/**
		 * Do not modify this method!
		 * It will be rewritten on each save in the extension builder
		 * You may modify the constructor of this class instead
		 */
		$this->translations = new Tx_Extbase_Persistence_ObjectStorage();
	}

	/**
	 * Adds a Translation
	 *
	 * @param Tx_GrdsLanguageMenu_Domain_Model_Translation $translation
	 * @return void
	 */
	public function addTranslation(Tx_GrdsLanguageMenu_Domain_Model_Translation $translation) {
		$this->translations->attach($translation);
	}

	/**
	 * Removes a Translation
	 *
	 * @param Tx_GrdsLanguageMenu_Domain_Model_Translation $translationToRemove The Translation to be removed
	 * @return void
	 */
	public function removeTranslation(Tx_GrdsLanguageMenu_Domain_Model_Translation $translationToRemove) {
		$this->translations->detach($translationToRemove);
	}

	/**
	 * Returns the translations
	 *
	 * @return Tx_Extbase_Persistence_ObjectStorage<Tx_GrdsLanguageMenu_Domain_Model_Translation> $translations
	 */
	public function getTranslations() {
		return $this->translations;
	}

	/**
	 * Sets the translations
	 *
	 * @param Tx_Extbase_Persistence_ObjectStorage<Tx_GrdsLanguageMenu_Domain_Model_Translation> $translations
	 * @return void
	 */
	public function setTranslations(Tx_Extbase_Persistence_ObjectStorage $translations) {
		$this->translations = $translations;
	}
}
?>