<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Tobias Blaser, Otavio Huber, Willi Kernen, <contact@gridds.com>, GRiDDS GmbH
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Translation Class
 *
 * @package grds_language_menu
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class Tx_GrdsLanguageMenu_Domain_Model_Translation extends Tx_Extbase_DomainObject_AbstractEntity {

	/**
	 * page
	 *
	 * @var Tx_GrdsLanguageMenu_Domain_Model_Page
	 */
	protected $page;

	/**
	 * language
	 *
	 * @var Tx_GrdsLanguageMenu_Domain_Model_Language
	 */
	protected $language;

	/**
	 * Returns the page
	 *
	 * @return Tx_GrdsLanguageMenu_Domain_Model_Page $page
	 */
	public function getPage() {
		return $this->page;
	}

	/**
	 * Sets the page
	 *
	 * @param Tx_GrdsLanguageMenu_Domain_Model_Page $page
	 * @return void
	 */
	public function setPage(Tx_GrdsLanguageMenu_Domain_Model_Page $page) {
		$this->page = $page;
	}

	/**
	 * Returns the language
	 *
	 * @return Tx_GrdsLanguageMenu_Domain_Model_Language $language
	 */
	public function getLanguage() {
		return $this->language;
	}

	/**
	 * Sets the language
	 *
	 * @param Tx_GrdsLanguageMenu_Domain_Model_Language $language
	 * @return void
	 */
	public function setLanguage(Tx_GrdsLanguageMenu_Domain_Model_Language $language) {
		$this->language = $language;
	}
}
?>