<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Tobias Blaser, Otavio Huber, Willi Kernen, <contact@gridds.com>, GRiDDS GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Language mapping ViewHelper
 * Override the give language with the mapped, if exist, if not, return the default language
 *
 * @package grds_language_menu
 * @license http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License, version 3 or later
 */
class Tx_GrdsLanguageMenu_ViewHelpers_Settings_GetSettingViewHelper extends Tx_Fluid_Core_ViewHelper_AbstractViewHelper {

	/**
	 * render function
	 *
	 * @param mixed $setting The path to the language setting to return
	 * @return The setting value or null if not exist
	 */
	public function render($setting) {
		$settingsPrefix = 'settings.';	
		$settings = Tx_GrdsLanguageMenu_Service_TsSettings::getTsSetup('tx_grdslanguagemenu');	
	
		// prepair given setting path and split it to array
		$setting = (substr($setting, 0, strlen($settingsPrefix)) === $settingsPrefix) ? str_replace('settings.', '', $setting) : $setting;
		$settingPath = split('\.', $setting);
		$langSetting = $settings;

		// loop through setting path and return value if exist, otherwise return null
		foreach ($settingPath as $i => $path) {
			if ($langSetting[$path]) {
				if (is_array($langSetting[$path])) {
					$langSetting = $langSetting[$path];
				} else {
					if($i == count($settingPath)-1) {
						return $langSetting[$path];
					} else {
						return null;
					}
				}
			} else {
				break;
			}
		}
		return null;
	}
}
?>