<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Tobias Blaser, Otavio Huber, Willi Kernen, <contact@gridds.com>, GRiDDS GmbH
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_GrdsLanguageMenu_Domain_Model_Page.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Language Menu
 *
 * @author GRiDDS GmbH <contact@gridds.com>
 */
class Tx_GrdsLanguageMenu_Domain_Model_PageTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var Tx_GrdsLanguageMenu_Domain_Model_Page
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new Tx_GrdsLanguageMenu_Domain_Model_Page();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getTranslationsReturnsInitialValueForObjectStorageContainingTx_GrdsLanguageMenu_Domain_Model_Translation() { 
		$newObjectStorage = new Tx_Extbase_Persistence_ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->fixture->getTranslations()
		);
	}

	/**
	 * @test
	 */
	public function setTranslationsForObjectStorageContainingTx_GrdsLanguageMenu_Domain_Model_TranslationSetsTranslations() { 
		$translation = new Tx_GrdsLanguageMenu_Domain_Model_Translation();
		$objectStorageHoldingExactlyOneTranslations = new Tx_Extbase_Persistence_ObjectStorage();
		$objectStorageHoldingExactlyOneTranslations->attach($translation);
		$this->fixture->setTranslations($objectStorageHoldingExactlyOneTranslations);

		$this->assertSame(
			$objectStorageHoldingExactlyOneTranslations,
			$this->fixture->getTranslations()
		);
	}
	
	/**
	 * @test
	 */
	public function addTranslationToObjectStorageHoldingTranslations() {
		$translation = new Tx_GrdsLanguageMenu_Domain_Model_Translation();
		$objectStorageHoldingExactlyOneTranslation = new Tx_Extbase_Persistence_ObjectStorage();
		$objectStorageHoldingExactlyOneTranslation->attach($translation);
		$this->fixture->addTranslation($translation);

		$this->assertEquals(
			$objectStorageHoldingExactlyOneTranslation,
			$this->fixture->getTranslations()
		);
	}

	/**
	 * @test
	 */
	public function removeTranslationFromObjectStorageHoldingTranslations() {
		$translation = new Tx_GrdsLanguageMenu_Domain_Model_Translation();
		$localObjectStorage = new Tx_Extbase_Persistence_ObjectStorage();
		$localObjectStorage->attach($translation);
		$localObjectStorage->detach($translation);
		$this->fixture->addTranslation($translation);
		$this->fixture->removeTranslation($translation);

		$this->assertEquals(
			$localObjectStorage,
			$this->fixture->getTranslations()
		);
	}
	
}
?>