<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Tobias Blaser, Otavio Huber, Willi Kernen, <contact@gridds.com>, GRiDDS GmbH
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_GrdsLanguageMenu_Domain_Model_Region.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Language Menu
 *
 * @author GRiDDS GmbH <contact@gridds.com>
class Tx_GrdsLanguageMenu_Domain_Model_RegionTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var Tx_GrdsLanguageMenu_Domain_Model_Region
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new Tx_GrdsLanguageMenu_Domain_Model_Region();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getNameReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setNameForStringSetsName() { 
		$this->fixture->setName('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getName()
		);
	}
	
	/**
	 * @test
	 */
	public function getFlagReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setFlagForStringSetsFlag() { 
		$this->fixture->setFlag('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getFlag()
		);
	}
	
	/**
	 * @test
	 */
	public function getAbbreviationReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setAbbreviationForStringSetsAbbreviation() { 
		$this->fixture->setAbbreviation('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getAbbreviation()
		);
	}
	
	/**
	 * @test
	 */
	public function getLanguagesReturnsInitialValueForObjectStorageContainingTx_GrdsLanguageMenu_Domain_Model_Language() { 
		$newObjectStorage = new Tx_Extbase_Persistence_ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->fixture->getLanguages()
		);
	}

	/**
	 * @test
	 */
	public function setLanguagesForObjectStorageContainingTx_GrdsLanguageMenu_Domain_Model_LanguageSetsLanguages() { 
		$language = new Tx_GrdsLanguageMenu_Domain_Model_Language();
		$objectStorageHoldingExactlyOneLanguages = new Tx_Extbase_Persistence_ObjectStorage();
		$objectStorageHoldingExactlyOneLanguages->attach($language);
		$this->fixture->setLanguages($objectStorageHoldingExactlyOneLanguages);

		$this->assertSame(
			$objectStorageHoldingExactlyOneLanguages,
			$this->fixture->getLanguages()
		);
	}
	
	/**
	 * @test
	 */
	public function addLanguageToObjectStorageHoldingLanguages() {
		$language = new Tx_GrdsLanguageMenu_Domain_Model_Language();
		$objectStorageHoldingExactlyOneLanguage = new Tx_Extbase_Persistence_ObjectStorage();
		$objectStorageHoldingExactlyOneLanguage->attach($language);
		$this->fixture->addLanguage($language);

		$this->assertEquals(
			$objectStorageHoldingExactlyOneLanguage,
			$this->fixture->getLanguages()
		);
	}

	/**
	 * @test
	 */
	public function removeLanguageFromObjectStorageHoldingLanguages() {
		$language = new Tx_GrdsLanguageMenu_Domain_Model_Language();
		$localObjectStorage = new Tx_Extbase_Persistence_ObjectStorage();
		$localObjectStorage->attach($language);
		$localObjectStorage->detach($language);
		$this->fixture->addLanguage($language);
		$this->fixture->removeLanguage($language);

		$this->assertEquals(
			$localObjectStorage,
			$this->fixture->getLanguages()
		);
	}
	
}
?>